/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

// #undef _USRDLL

#include "meshM2.h"

#include "kernel.h"

#if defined (_MSC_VER)
	#pragma comment(lib, "hydra.lib")
#endif //_MSC_VER

namespace hydra
{

static MODULEINFO moduleInfo = {
	"mesh.m2",
	"World of Warcraft Mesh (.m2) loader addon.",
	"ADDON",
	"(c) 2004-2008 Enside, Inc. All rights reserved.",
	"hunee (hunee@enside.net)",
	"0.0.1",
};
LIBEXPORT const MODULEINFO * getModuleInfo()
{
	return &moduleInfo;
}

//
LIBEXPORT void * loadModule()
{
	registerKernelModule(MeshM2);

	return NULL;
}
LIBEXPORT void unloadModule()
{
	unregisterKernelModule(MeshM2);
}

} //hydra

