/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef MESHM2_H_
#define MESHM2_H_

#include "graphics/imesh.h"

// copied from the .mdl docs? this might be completely wrong
enum {
	BM_OPAQUE,
	BM_TRANSPARENT,
	BM_ALPHA_BLEND,
	BM_ADDITIVE,
	BM_ADDITIVE_ALPHA,
	BM_MODULATE,
	BM_MODULATEX2
};

namespace hydra
{

class MeshM2: public IMesh {
    DECLARE_MODULE(MeshM2)

public:
    MeshM2();

public:
    //
    bool loadFromFile(const char * pathName);

    //
    void draw();
};


} //hydra

#endif //MESHM2_H_
