/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef IMUSIC_H_
#define IMUSIC_H_

#include "iunknown.h"

namespace hydra
{

class LIBAPI IMusic: public IUnknown
{
    DECLARE_BASE_MODULE(IMusic)

public:
    IMusic();

    virtual bool loadFromFile(const char * pathName) = 0;

    virtual bool play(int mode) = 0;
    virtual void stop() = 0;
};

//
DEFINE_BASE_MODULE(IMusic, Music)
DEFINE_BASE_LOAD_MODULE(IMusic, Music)

} //hydra

#endif //IMUSIC_H_
