/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef IUNKNOWN_H_
#define IUNKNOWN_H_

#include "stdafx.h"

namespace hydra
{

/** IUnknown class.
 * @remarks
 * @note
 */
class LIBAPI IUnknown
{
public:
	IUnknown();
    virtual ~IUnknown();

    // inline
public:
    //
	inline void addRef()	{ m_refCount ++; }
    inline int release()	{ m_refCount --; return m_refCount; }

    // clone
    inline void * clone()     { return this; }

    // property
public:
    inline int getRefCount()	{ return m_refCount; }

    void setName(const char * name);
    inline char * getName()     { return m_name; }

private:
	int m_refCount;

protected:
    char * m_name;
};

} //hydra

#endif //IUNKNOWN_H_
