/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include "iunknown.h"

namespace hydra
{

IUnknown::IUnknown()
{
	m_name = NULL;

	//
	m_refCount = 1;
}
IUnknown::~IUnknown()
{
    SAFE_FREE(m_name);
}

void IUnknown::setName(const char * name)
{
	if (!name)
		return;

	//
	SAFE_FREE(m_name);

	size_t length = strlen(name);
	m_name = (char *) MALLOC(sizeof(char), length + 1);
	ASSERT(m_name)

	//
	memcpy(m_name, name, length);
	m_name[length] = 0;
}

} //hydra
