/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include "system/iinput.h"

#include "kernel.h"

namespace hydra
{
IMPLEMENT_BASE_MODULE(IInput, usr/lib/input)

IInput::IInput()
{
	// loop through all gamepads
	for (int n = 0; n < USER_MAX_COUNT; n ++)
	{
		// No device, set all inputs to zero
		m_padInfo[n].x[0] = m_padInfo[n].x[1] = m_padInfo[n].x[2] = 0;
		m_padInfo[n].y[0] = m_padInfo[n].y[1] = m_padInfo[n].y[2] = 0;
		m_padInfo[n].z[0] = m_padInfo[n].z[1] = m_padInfo[n].z[2] = 0;

		m_padInfo[n].gyro = 0;
		m_padInfo[n].buttons = 0;
	}
}
IInput::~IInput()
{
}

bool IInput::open(HWND hwnd)
{
	return true;
}

//
void IInput::update()
{
}

} //hydra
