/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include "alsa.h"

#include "kernel.h"

namespace hydra
{

IMPLEMENT_MODULE(alsa, sys/audio)

alsa::alsa()
{
	//
	m_info.name = "ALSA";
	m_info.description = "Linux/X11 Alsa";

	m_info.author = "hunee (hunee@enside.net)";
	m_info.version = "0.0.1";
}
alsa::~alsa()
{
}

bool alsa::initialize()
{
	return true;
}


//
extern "C" bool registerModule()
{
	registerKernelModule(alsa);

	return true;
}
extern "C" void unregisterModule()
{
	//unregisterKernelModule(sys);
}

//
extern "C" const char * getName()
{
	return "alsa";
}
extern "C" const char * getDescription()
{
	return "libalsa.so";
}

} //hydra
