/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef FMOD4_H_
#define FMOD4_H_

#include "audio/iaudio.h"

//
#include <fmod.hpp>
//#include <fmod_errors.h>

#if defined(_WIN32)
	#if defined (_MSC_VER)
		#pragma comment(lib, "fmodex_vc.lib")
		#pragma comment(lib, "fmodexL_vc.lib")
	#endif //_MSC_VER
#endif //_WIN32

namespace hydra
{

class fmod4: public IAudio
{
public:
	fmod4();
	virtual ~fmod4();

public:
	//
	bool open(HWND hwnd);

public:
	void update();

    //property
public:
	FMOD_SYSTEM * getFMod() { return m_system; }

protected:
    FMOD_SYSTEM * m_system;
};

extern fmod4 * _fmod4;

} //hydra

#endif //FMOD4_H_
