/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef OPENGL_CGSHADER_H_
#define OPENGL_CGSHADER_H_

#include "graphics/icgshader.h"

#include "opengl.h"

namespace hydra
{

class openglCgShader: public ICgShader
{
	DECLARE_MODULE(openglCgShader)

public:
	openglCgShader();

public:
	bool loadFromMemory(const char * code);
	bool loadFromMemory(const char * vpcode, const char * fpcode);

	//
	void setSampler(int stage, ISampler * sampler);
	void setSamplerState(unsigned long sampler, int type, unsigned long value);

    //
	void begin();
	void end();
};

} //hydra

#endif //OPENGL_CGSHADER_H_
