/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef OPENGL_LINUX_H_
#define OPENGL_LINUX_H_

#include "opengl.h"

#if defined(_LINUX)

namespace hydra
{

class openglLinux: public opengl
{
public:
	openglLinux();
	virtual ~openglLinux();

public:
    //
    bool open(HWND hwnd);

    //
    void present();

private:
	int m_screen;
	HWND m_hwnd;
	Window m_window;
	GLXContext m_context;
	XF86VidModeModeInfo m_deskMode;
};

} //hydra

#endif //_LINUX

#endif //OPENGL_LINUX_H_
