/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef FILE_STREAM_H_
#define FILE_STREAM_H_

#include "system/ifile.h"

namespace hydra
{

class fileStream : public IFile
{
	DECLARE_MODULE(fileStream)

public:
	fileStream();
	virtual ~fileStream();

public:
    bool open(const char * pathName, int mode);

    size_t read(void * ptr, size_t count);
    size_t write(void * ptr, size_t count);

    //
    int seek(long offset, int origin);

    //
    size_t getSize();

private:
	FILE * m_stream;
};

} //hydra

#endif //FILE_STREAM_H_
