/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef INPUT_DARWIN_H
#define INPUT_DARWIN_H

#include "system/iinput.h"

#if defined(__APPLE__)

#include "HID.h"

namespace hydra
{

class inputDarwin: public IInput
{
	DECLARE_MODULE(inputDarwin)
	
public:
	inputDarwin();
	virtual ~inputDarwin();
	
public:
	bool open(HWND hwnd);
	
	void update();
	
private:
	recDevice * m_device;
};

} //hydra

#endif //__APPLE__

#endif //INPUT_DARWIN_H
