/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef INPUT_XINPUT_H_
#define INPUT_XINPUT_H_

#include "system/iinput.h"

#if defined(_WIN32) || defined(_XBOX)
#include <xinput.h>

#if defined (_MSC_VER)
	#pragma comment (lib, "xinput")
#endif //_MSC_VER

namespace hydra
{

class inputXInput: public IInput
{
	DECLARE_MODULE(inputXInput)

public:
	inputXInput();

public:
	bool open(HWND hwnd);
	
	void update();
};

} //hydra

#endif //_WIN32 || _XBOX

#endif //INPUT_XINPUT_H_
