/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef WINDOW_WIN32_H_
#define WINDOW_WIN32_H_

#include "system/iwindow.h"

#if defined(_WIN32)

namespace hydra
{

class windowWin32: public IWindow
{
	DECLARE_MODULE(windowWin32)

public:
	windowWin32();
	virtual ~windowWin32();

public:
	bool create(int width, int height, const char * title);

	int run();
};

} //hydra

#endif //_WIN32

#endif //WINDOW_WIN32_H_
