/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef MODULEINFO_H_
#define MODULEINFO_H_

/**
 * @priority medium
 * @difficulty medium
 * @stereotype struct*/
struct MODULEINFO {
    const char * name;				/// name
    const char * description;		/// description
    
	const char * category;			/// category (AUDIO, GRAPHICS, SYSTEM, ADDON, ...)

    const char * copyright;			/// copyright
    const char * author;			/// author

    const char * version;			/// version (0.0.1)
};

#endif //MODULEINFO_H_
