/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef ISOCKET_H_
#define ISOCKET_H_

#include "iunknown.h"

namespace hydra
{

class LIBAPI ISocket: public IUnknown
{
    DECLARE_BASE_MODULE(ISocket)

public:
    ISocket();

public:
    virtual bool open(const char * ipaddress, int mode);

    virtual size_t read(void * ptr, size_t count);
    virtual size_t write(void * ptr, size_t count);
};

//
DEFINE_BASE_MODULE(ISocket, Socket)

} //hydra

#endif //ISOCKET_H_
