/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef IWINDOW_H_
#define IWINDOW_H_

#include "iunknown.h"

namespace hydra
{

class LIBAPI IWindow: public IUnknown
{
	DECLARE_BASE_MODULE(IWindow)

public:
	IWindow();
	virtual ~IWindow();

public:
	virtual bool create(int width, int height, const char * title);

	//
	virtual void update();

	//
	virtual int run();

	//property
public:
	//
	inline HWND getHandle() { return m_hwnd; }

public:
	static bool idle();

protected:
	HWND m_hwnd;
};

DEFINE_BASE_MODULE(IWindow, Window)

} //hydra

#endif //IWINDOW_H_
