/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include "system/iwindow.h"

#include "kernel.h"
#include "application.h"

namespace hydra
{

IMPLEMENT_BASE_MODULE(IWindow, usr/lib/window)

IWindow::IWindow()
{
	//
	m_hwnd = NULL;
}
IWindow::~IWindow()
{
}

//
bool IWindow::create(int width, int height, const char * title)
{
	return true;
}

//
void IWindow::update()
{
}

//
int IWindow::run()
{
	while (1)
	{
		if (!idle())
			break;
	}

	return 0;
}

// render callback
bool IWindow::idle()
{
    Application * app = static_cast <Application *> (Application::instance());
	if (!app->update())
		return false;

	app->draw();
	app->present();

	return true;
}

} //hydra
