/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef FMOD4_MUSIC_H_
#define FMOD4_MUSIC_H_

#include "audio/imusic.h"

namespace hydra
{

class fmod4Music: public IMusic
{
    DECLARE_MODULE(fmod4Music)

public:
    fmod4Music();
    virtual ~fmod4Music();

    bool loadFromFile(const char * pathName);

    bool play(int mode);
    void stop();
};

} //hydra

#endif //FMOD4_MUSIC_H_
