/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef FMOD4_VOICE_H_
#define FMOD4_VOICE_H_

#include "audio/ivoice.h"

#include "fmod4.h"

namespace hydra
{

class fmod4Voice: public IVoice
{
    DECLARE_MODULE(fmod4Voice)

public:
    fmod4Voice();

public:
    bool loadFromFile(const char * pathName);

    bool play(int mode);
    void stop();

    void update();

protected:
	FMOD_SOUND * m_sound;
	FMOD_CHANNEL * m_channel;

	bool m_looped;
	bool m_finished;
};

} //hydra

#endif //FMOD4_VOICE_H_
