/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

// #undef _USRDLL

#include "directsound8.h"

#if defined (_MSC_VER)
	#pragma comment(lib, "hydra.lib")
#endif //_MSC_VER

namespace hydra
{

static MODULEINFO moduleInfo = {
	"audio.directsound8",
	"Microsoft DirectSound8 audio module.",
	"AUDIO",
	"(c) 2004-2008 Enside, Inc. All rights reserved.",
	"hunee (hunee@enside.net)",
	"0.0.1",
};
LIBEXPORT const MODULEINFO * getModuleInfo()
{
	return &moduleInfo;
}

//
static directsound8 * _directsound8 = NULL;
LIBEXPORT void * loadModule()
{
	_directsound8 = new directsound8;
	return _directsound8;
}
LIBEXPORT void unloadModule()
{
	SAFE_DELETE(_directsound8);
}

} //hydra

