/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef DIRECT3D9_CGSHADER_H
#define DIRECT3D9_CGSHADER_H

#include "graphics/icgshader.h"

#include "direct3d9.h"

namespace hydra
{

class direct3d9CgShader : public ICgShader
{
	DECLARE_MODULE(direct3d9CgShader)
	
public:
	direct3d9CgShader();
	
public:
	bool loadFromMemory(const char * code);
	bool loadFromMemory(const char * vpcode, const char * fpcode);

    //
	void begin();
	void end();

	void setSampler(int stage, ISampler * sampler);
    void setSamplerState(unsigned long sampler, int type, unsigned long value);

};

} //hydra

#endif //DIRECT3D9_CGSHADER_H
