/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef OPENGL_DARWIN_H_
#define OPENGL_DARWIN_H_

#if defined(__APPLE__)

#include "opengl.h"

namespace hydra
{

class openglDarwin: public opengl
{
public:
	openglDarwin();
	virtual ~openglDarwin();
	
public:
    //
	bool open(HWND hwnd);

	//
    void present();

	void setViewport(int left, int top, int right, int bottom);

private:
	AGLContext m_context;
};

} //hydra

#endif //__APPLE__

#endif //OPENGL_DARWIN_H_
