/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef OPENGL_WIN32_H_
#define OPENGL_WIN32_H_

#include "opengl.h"

#if defined(_WIN32)
namespace hydra
{

class openglWin32: public opengl
{
public:
	openglWin32();
	virtual ~openglWin32();

public:
    //
	bool open(HWND hwnd);

	//
    void present();

private:
	HWND m_hwnd;
	HDC m_hdc;

	HGLRC m_context;

	bool m_accel;
	bool m_miniport;
};

} //hydra

#endif //_WIN32

#endif //OPENGL_WIN32_H_
