/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef FILE_WIN32_H_
#define FILE_WIN32_H_

#include "system/ifile.h"

#if defined(_WIN32) || defined(_XBOX)

namespace hydra
{

class fileWin32 : public IFile
{
	DECLARE_MODULE(fileWin32)

public:
	fileWin32();
	virtual ~fileWin32();

public:
    bool open(const char * pathName, int mode);

    size_t read(void * ptr, size_t count);
    size_t write(void * ptr, size_t count);

    //
    int seek(long offset, int origin);

    //
    size_t getSize();

private:
	HANDLE m_handle;
};

} //hydra

#endif //_WIN32 || _XBOX

#endif //FILE_WIN32_H_
