/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef INPUT_LINUX_H_
#define INPUT_LINUX_H_

#include "system/iinput.h"

#if defined(_LINUX)

namespace hydra
{

class inputLinux: public IInput
{
	DECLARE_MODULE(inputLinux)
	
public:
	inputLinux();

public:
	bool open(HWND hwnd);
	
	void update();	
};

} //hydra

#endif //_LINUX

#endif //X11INPUT_H_
