/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#ifndef WINDOW_LINUX_H_
#define WINDOW_LINUX_H_

#include "system/iwindow.h"

#if defined(_LINUX)

namespace hydra
{

class windowLinux: public IWindow
{
	DECLARE_MODULE(windowLinux)
	
public:
	windowLinux();
	virtual ~windowLinux();
	
public:
	bool create(int width, int height, const char * title);

	//
	int run();
};

} //hydra

#endif //_LINUX

#endif //WINDOW_LINUX_H_
