/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include <stdlib.h>

#if defined(_PS3)
	#include <sys/process.h>

	/*E Set the priority and the stack size of the primary PPU thread */
	SYS_PROCESS_PARAM(1001, 0x10000);
#endif

#include "my-application.h"

#if defined (_MSC_VER)
	#pragma comment(lib, "hydra.lib")
#endif //_MSC_VER

using namespace hydra;

#if defined(_WIN32)
int WINAPI WinMain(HINSTANCE hInstance, // handle to current instance
				   HINSTANCE hPrevInstance, // handle to previous instance
				   LPSTR lpCmdLine, // pointer to command line
				   int nCmdShow) // show state of window
//#endif //_WIN32
#else
int main()
#endif
{
	/* Seed the random-number generator with current time so that
	* the numbers will be different every time we run.
	*/
	srand((unsigned int) TIMER);

    //setRootDirectory("../../bin");

	//
	myApplication * application = new myApplication;
	if (!application->create())
		return -1;

	application->run();
	delete application;

	return 0;
}

