/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */

#include "my-application.h"

#include "my-view.h"

using namespace hydra;

//
myApplication::myApplication()
{
	//
	m_myView = NULL;
}
myApplication::~myApplication()
{
	SAFE_DELETE(m_myView);
}

bool myApplication::create()
{
	if (!Application::create())
		return false;
		
	//
    loadKernelModule("addon.mesh.m2");

	//
	dumpKernelModule();

	//
	m_myView = new myView;
	if (!m_myView->loadData())
		return false;

	setView(m_myView);

	return true;
}

//
bool myApplication::onUpdate(float deltaTime)
{
	//TRACE("# myApplication::onUpdate(%.2f)", deltaTime)

	if (!Application::onUpdate(deltaTime))
		return false;

	return true;
}
void myApplication::onDraw()
{
	//TRACE("# myApplication::onDraw()")
	Application::onDraw();
}


